<button
  type="button"
  (click)="onClick()"
>Click me</button>

<lib-side-panel
  #asyncSidePanel
>

  <div class="content">
    <!-- desta forma o painel é mostrado somente quando houver resolução da promise. Ver se é possível, caso haja uma real necessidade, atualizar o cálculo da largura do painel lateral, ou quando houver conteúdo (MutationObserver ou uma interface do Angular que causaria o mesmo efeito), ou quando o usuário avisar que há alteração no interior do painel, isto é, deverá ser acrescentado este suporte -->
    <!-- <ul *ngIf="promise | async"> -->
    <ul>
      <li>
        {{ content }}
      </li>
    </ul>
  </div>

</lib-side-panel>
